Bug 463436 - Review Request: purple-facebookchat - libpurple plug-in supporting facebook IM
Review Request: purple-facebookchat - libpurple plug-in supporting facebook IM
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-23 09:58 EDT by Matěj Cepl
Modified: 2018-04-11 05:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-25 12:03:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2008-09-23 09:58:17 EDT
Spec URL: http://mcepl.fedorapeople.org/rpms/pidgin-facebookchat.spec
SRPM URL: http://mcepl.fedorapeople.org/rpms/pidgin-facebookchat-1.35-2.fc10.src.rpm
Description:
This is a Facebook chat plugin for Pidgin and libpurple
messengers. It connects to the new Facebook Chat IM service
without the need for an API key.

Currently the plugin can log into the Facebook servers, grab the
buddy list, send/receive messages, add/remove friends, receive
notifications, search for Facebook friends and set your Facebook
status.
Comment 2 Dan Horák 2008-09-24 09:31:23 EDT
formal review is here, see the notes below:

OK	source files match upstream:
	    4cfe2c464158b6418889d22e2035a0f8ad15b527  pidgin-facebookchat-source-1.35.tar.bz2
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible. License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
BAD	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
OK	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

- you are not passing the CFLAGS="$RPM_OPT_FLAGS" as a parameter to make
- you should remove the source archive creation from the "all" target in your makefile
- I would not compress the updated makefile
Comment 3 Matěj Cepl 2008-09-24 12:12:00 EDT
SRPMS: http://mcepl.fedorapeople.org/rpms/purple-facebookchat-1.35-4.fc10.src.rpm
with the reviewr's changes
Comment 4 Dan Horák 2008-09-24 12:24:57 EDT
All issues are fixed, so this package is APPROVED
Comment 5 Matěj Cepl 2008-09-24 18:18:26 EDT
New Package CVS Request
=======================
Package Name: purple-facebookchat
Short Description: libpurple plug-in supporting facebook IM
Owners: mcepl
Branches: F-8 F-9
InitialCC:
Comment 6 Huzaifa S. Sidhpurwala 2008-09-25 02:07:44 EDT
cvs done

Note You need to log in before you can comment on or make changes to this bug.